<%- include("partials/header") %>

    <!-- Modal -->
    <div class="modal fade" id="signUpModal" tabindex="-1" role="dialog" aria-labelledby="signUpModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header border-0">
            <h5 class="modal-title" id="signUpModalLabel">ورود / ثبت‌نام</h5>
            <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body p-0">
            <div class="card border-0">
              <div class="card-header p-0 border-0">
                <ul class="nav nav-tabs nav-fill justify-content-end border-0 pr-0" id="landing-panel-tab" role="tablist">
                  <li class="nav-item">
                    <a class="nav-link" href="#signup" id="sign-up-tab" data-toggle="tab" role="tab" aria-controls="sign-up" aria-selected="false">ثبت‌نام</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link active" href="#login" id="login-tab" data-toggle="tab" role="tab" aria-controls="login" aria-selected="true">ورود</a>
                  </li>
                </ul>
              </div>
              <div class="card-body">
                <div class="tab-content" id="landing-panel-tab-content">
                  <div class="tab-pane fade" id="signup" role="tabpanel" aria-labelledby="signup-tab">
                    <form class="text-center sign-up-form" onsubmit="signUp(event);">
                      <h5 class="text-center mt-2 mb-4">شماره‌ی تلفن همراه خود را وارد کنید</h5>
                      <div class="form-group">
                        <input type="text" class="form-control signup-input text-center" placeholder="09123456789" dir="ltr" name="signup-number-input" required pattern="0?[0-9]{10}" oninvalid="this.setCustomValidity('لطفا شماره‌ی معتبر وارد کنید')" oninput="this.setCustomValidity('')">
                      </div>
                      <button type="submit" class="btn btn-primary btn-block">ثبت</button>
                    </form>
                    <form class="text-center sign-up-confirm-form d-none" onsubmit="confirmSignUp(event);">
                      <div class="form-group">
                        <input type="text" class="form-control login-input text-center" placeholder="کد تایید" name="signup-code-input" required pattern="[0-9]{6}" oninvalid="this.setCustomValidity('لطفا کد ۶ رقمی را وارد کنید)" oninput="this.setCustomValidity('')">
                      </div>
                      <a href="#" class="forgot-password-link" onclick="signUpSendAgain(event);">ارسال مجدد</a>
                      <br />
                      <a href="#" class="forgot-password-link" onclick="signUpChangeNumber(event);">اصلاح شماره</a>
                      <button type="submit" class="btn btn-primary btn-block mt-3">ارسال کد تایید</button>
                    </form>
                    <form class="text-center set-password-form d-none" onsubmit="setPassword(event);">
                      <div class="form-group">
                        <input type="password" class="form-control password-input text-center" placeholder="پسوورد" onkeyup="clearConfirmPassword(event, 'new');" name="set-password-input" required pattern=".{8,}" oninvalid="this.setCustomValidity('حداقل ۸ کاراکتر وارد کنید')" oninput="this.setCustomValidity('')">
                      </div>
                      <div class="form-group">
                        <input type="password" class="form-control confirm-password-input text-center" placeholder="تکرار پسوورد"
                        onkeyup="confirmPasswordCheck(event, 'new');" name="set-password-confirm-input" required>
                      </div>
                      <button type="submit" class="btn btn-primary btn-block mt-3 set-password-submit-button" disabled>ثبت</button>
                    </form>
                  </div>
                  <div class="tab-pane fade show active" id="login" role="tabpanel" aria-labelledby="login-tab">
                    <form class="text-center login-form" onsubmit="login(event);">
                      <div class="form-group">
                        <input type="text" class="form-control login-input text-center" placeholder="شماره همراه" name="login-username-input" required pattern="0?[0-9]{10}" oninvalid="this.setCustomValidity('لطفا شماره‌ی معتبر وارد کنید')" oninput="this.setCustomValidity('')">
                      </div>
                      <div class="form-group">
                        <input type="password" class="form-control login-input text-center" placeholder="کلمه‌ی عبور" name="login-password-input" required pattern=".{8,}" oninvalid="this.setCustomValidity('حداثل ۸ کاراکتر وارد کنید')" oninput="this.setCustomValidity('')">
                      </div>
                      <a href="#" class="forgot-password-link" onclick="forgotPasswordClicked(event);">بازیابی کلمه‌ی عبور</a>
                      <button type="submit" class="btn btn-primary btn-block mt-3">ورود</button>
                    </form>
                    <form class="text-center forgot-password-form d-none" onsubmit="forgotPassword(event);">
                      <div class="form-group">
                        <input type="text" class="form-control login-input text-center" placeholder="شماره همراه" required name="forgot-password-number-input" pattern="0?[0-9]{10}" oninvalid="this.setCustomValidity('لطفا شماره‌ی معتبر وارد کنید')" oninput="this.setCustomValidity('')">
                      </div>
                      <a href="#" class="forgot-password-link" onclick="backToLogin(event);">بازگشت</a>
                      <button type="submit" class="btn btn-primary btn-block mt-3">ارسال کد تایید</button>
                    </form>
                    <form class="text-center forgot-password-confirm-form d-none" onsubmit="confirmForgotPassword(event);">
                      <div class="form-group">
                        <input type="text" class="form-control login-input text-center" placeholder="کد تایید" required name="forgot-password-code-input" oninvalid="this.setCustomValidity('لطفا کد تایید ۶ رقمی را وارد کنید')" oninput="this.setCustomValidity('')" pattern="[0-9]{6}">
                      </div>
                      <a href="#" class="forgot-password-link" onclick="forgotPasswordSendAgain(event);">ارسال مجدد</a>
                      <br />
                      <a href="#" class="forgot-password-link" onclick="forgotPasswordChangeNumber(event);">اصلاح شماره</a>
                      <button type="submit" class="btn btn-primary btn-block mt-3">ثبت</button>
                    </form>
                    <form class="text-center edit-password-form d-none" onsubmit="editPassword(event);">
                      <div class="form-group">
                        <input type="password" class="form-control edit-password-input text-center" placeholder="پسوورد" onkeyup="clearConfirmPassword(event, 'edit');" name="edit-password-input" required pattern=".{8,}" oninvalid="this.setCustomValidity('حداقل ۸ کاراکتر وارد کنید')" oninput="this.setCustomValidity('')">
                      </div>
                      <div class="form-group">
                        <input type="password" class="form-control edit-confirm-password-input text-center" placeholder="تکرار پسوورد"
                        onkeyup="confirmPasswordCheck(event, 'edit');" name="edit-password-confirm-input" required>
                      </div>
                      <button type="submit" class="btn btn-primary btn-block mt-3 edit-password-submit-button" disabled>ثبت</button>
                    </form>
                    <div class="successful-edit-password text-center d-none">
                      <a href="#" class="forgot-password-link" onclick="backToLogin(event);">ورود</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <section class="main pt-5">
      <h2 class="my-4 text-center">ایـــران آهـــانـــا</h2>
      <div class="card mx-auto border-0 landing-panel mt-5">
        <div class="card-header p-0 border-0">
          <ul class="nav nav-tabs nav-fill justify-content-end border-0 pr-0" id="landing-panel-tab" role="tablist">
            <li class="nav-item">
              <a class="nav-link active" href="#reserve" id="reserve-tab" data-toggle="tab" role="tab" aria-controls="reserve" aria-selected="true">رزرو</a>
            </li>
          </ul>
        </div>
        <div class="card-body">
          <div class="tab-content" id="landing-panel-tab-content">
            <div class="tab-pane fade show active" id="reserve" role="tabpanel" aria-labelledby="reserve-tab">
              <form onsubmit="search(event, null);">
                <div class="form-group">
                  <input type="text" class="form-control" placeholder="مقصد" name="destination">
                </div>
                <div class="row form-group">
                  <div class="col">
                    <div class="input-group">
                      <input type="text" class="form-control" id="reserve-from-date" placeholder="تاریخ رفت" aria-label="reserve-from-date-datepicker" aria-describedby="reserve-from-date-datepicker" onchange="fromDateChanged(event)" disabled>
                      <div class="input-group-prepend reserve-datepicker">
                        <div class="input-group-text cursor-pointer" id="reserve-from-date-datepicker"><i class="far fa-calendar-alt"></i></div>
                      </div>
                    </div>
                  </div>
                  <div class="col">
                    <div class="input-group">
                      <input type="text" class="form-control" id="reserve-to-date" placeholder="تاریخ برگشت"aria-label="reserve-to-date-datepicker" aria-describedby="reserve-to-date-datepicker" disabled>
                      <div class="input-group-prepend reserve-datepicker">
                        <div class="input-group-text cursor-pointer" id="reserve-to-date-datepicker"><i class="far fa-calendar-alt"></i></div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <input type="number" class="form-control" placeholder="تعداد نفرات" min="0" name="guests">
                </div>
                <button type="submit" class="btn btn-primary">جست‌و‌جو</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section class="features py-5">
      <div class="row m-0">
        <div class="col text-center">
          <span class="all-over-icon mx-auto"></span>
          <h4>پوشش سراسری</h4>
        </div>
        <div class="col text-center">
            <span class="support-24-7-icon mx-auto"></span>
          <h4>پشتیبانی ۲۴ ساعته</h4>
        </div>
        <div class="col text-center">
          <span class="guarantee-icon mx-auto"></span>
          <h4>ضمانت تحویل دستگاه</h4>
        </div>
      </div>
    </section>

    <section class="carousel-main p-5" dir="ltr">
      <div class="carousel-background"></div>
      <div id="cities-carousel" class="carousel slide mx-auto my-5" data-ride="carousel">
        <ol class="carousel-indicators">
          <li data-target="#cities-carousel" data-slide-to="0" class="active"></li>
          <li data-target="#cities-carousel" data-slide-to="1"></li>
          <li data-target="#cities-carousel" data-slide-to="2"></li>
          <li data-target="#cities-carousel" data-slide-to="3"></li>
          <li data-target="#cities-carousel" data-slide-to="4"></li>
          <li data-target="#cities-carousel" data-slide-to="5"></li>
        </ol>
        <div class="carousel-inner">
          <% for (i = 0; i < pageData.carouselItems.length; i++) { %>
            <div class=<% if (i == 0) { %>"carousel-item active" <% } else { %>"carousel-item"<% } %> onclick="search(event, '<%= pageData.carouselItems[i].name %>');">
              <img src="<%= pageData.carouselItems[i].imgUrl %>" class="d-block w-100" alt="...">
              <div class="carousel-caption d-none d-md-block">
                <h5><%= pageData.carouselItems[i].name %></h5>
                <h5><%= pageData.carouselItems[i].spots %></h5>
              </div>
            </div>
          <% } %>
        </div>
        <a class="carousel-control-prev" href="#cities-carousel" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#cities-carousel" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>
    </section>

    <section class="about-us pt-4">
      <h2 class="text-center mb-4">درباره‌ی ما</h2>
      <div class="row m-0">
        <div class="col-6 m-0 about-us-text-parent">
          <p class="about-us-text text-right">
            در ایران آهانا سعی داریم بهترین تجربه‌ی سفر را برای شما به ارمغان آوریم.
          </p>
        </div>
        <div class="col-6 m-0 about-us-image-parent pb-4">
          <img src="images/landing4.jpg" class="about-us-image w-100">
        </div>
      </div>
    </section>

    <%- include("partials/footer") %>

    <script>
      $(document).ready(function () {
        $('.carousel').carousel()

        $(".carousel-background").css("width", parseInt($(".carousel-main").css("width")))
        $(".carousel-background").css("height", parseInt($(".carousel-main").css("height")))
      })

      $( window ).resize(function() {
        $(".carousel-background").css("width", parseInt($(".carousel-main").css("width")))
        $(".carousel-background").css("height", parseInt($(".carousel-main").css("height")))
      });

      $('#reserve-from-date-datepicker').MdPersianDateTimePicker({
        targetTextSelector: '#reserve-from-date',
        dateFormat: 'yyyy-MM-dd',
        isGregorian: false,
        disableBeforeToday: true
      });

      $('#reserve-to-date-datepicker').MdPersianDateTimePicker({
        targetTextSelector: '#reserve-to-date',
        dateFormat: 'yyyy-MM-dd',
        isGregorian: false,
        disableBeforeToday: true
      });

      $("#signUpModal").on("hide.bs.modal", function (e) {
        $("#signUpModal form").map(
          function (form) {
            $($("#signUpModal form")[form]).addClass("d-none");
          }
        );
        $("#signUpModal input").map(
          function (inp) {
            $($("#signUpModal input")[inp]).val("");
          }
        );

        $(".sign-up-form").removeClass("d-none");
        $(".login-form").removeClass("d-none");
      })

      function fromDateChanged (e) {
        console.log("FROM DATE CHANGED CALLED");
        var fromDate = $("#reserve-from-date-datepicker").MdPersianDateTimePicker("getDate");
        var newDate = new Date(fromDate);
        newDate.setDate(fromDate.getDate() + 1)

        console.log(fromDate);
        console.log(new Date(fromDate).setDate(fromDate.getDate() + 1));

        $("#reserve-to-date-datepicker").MdPersianDateTimePicker("destroy");
        $('#reserve-to-date-datepicker').MdPersianDateTimePicker({
          targetTextSelector: '#reserve-to-date',
          dateFormat: 'yyyy-MM-dd',
          isGregorian: false,
          disableBeforeToday: true,
          disableBeforeDate: newDate
        });
        $("#reserve-to-date").val("");
      }

      function signUp (e) {
        e.preventDefault();

        var cellNumber = $("input[name='signup-number-input']").val();
        var codeSentAlert = `
          <div class="alert alert-success text-right" role="alert">
            کد تایید فرستاده شد.
          </div>
        `;

        if (cellNumber.length == 11) {
          cellNumber = cellNumber.slice(1);
        }

        $.ajax({
          method: "POST",
          url: "send_validation",
          headers: {
            cellnumber: cellNumber
          },

          success: function (data) {
            console.log("POST REQUEST SUCCESSFUL");
            console.log(data);

            localStorage.setItem("user_cell_number", cellNumber);

            $("input[name='signup-number-input']").val("");
            $(".sign-up-form").addClass("d-none");
            $(".sign-up-confirm-form").removeClass("d-none");
            $("#signup .alert-danger").remove();
            $("#signup .alert-success").remove();
            $("#signup").prepend(codeSentAlert);
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function confirmSignUp (e) {
        e.preventDefault();

        var validation_code = $("input[name='signup-code-input']").val().trim();
        var errorAlert = `
          <div class="alert alert-danger text-right" role="alert">
            کد وارد شده صحیح نمی‌باشد
          </div>
        `;

        $.ajax({
          method: "POST",
          url: "validate",
          headers: {
            cellnumber: localStorage.getItem("user_cell_number"),
            validationcode: validation_code
          },

          success: function (data) {
            console.log("POST REQUEST SUCCESSFUL");
            console.log(data);

            if (data["status"] == "error") {
              $("#signup .alert-danger").remove();
              $("#signup .alert-success").remove();
              $("#signup").prepend(errorAlert);
            } else {
              localStorage.setItem("user_validation_code", validation_code);

              $("input[name='signup-code-input']").val("");
              $("#signup .alert-danger").remove();
              $(".sign-up-confirm-form").addClass("d-none");
              $(".set-password-form").removeClass("d-none");
              $("#signup .alert-success").remove();
            }
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function setPassword (e) {
        e.preventDefault();

        console.log("Set Password Called");

        var password = $("input[name='set-password-input']").val();

        $.ajax({
          method: "POST",
          url: "register_user",
          dataType: "json",
          data: {
            username: localStorage.getItem("user_cell_number"),
            validationcode: localStorage.getItem("user_validation_code"),
            password: password
          },

          success: function (data) {
            console.log("USER CREATED");
            console.log(data);

            $("#signUpModal").modal("hide");

            window.location.href = "/dashboard/profile";

            // window.location.href = "http://stackoverflow.com";
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function login (e) {
        e.preventDefault();

        var username = $("input[name='login-username-input']").val();
        var password = $("input[name='login-password-input']").val();
        var loginErrorAlert = `
          <div class="alert alert-danger text-right" role="alert">
            اطلاعات ورود صحیح نمی‌باشد
          </div>
        `;

        $("#login alert-danger").remove();

        $.ajax({
          method: "POST",
          url: "login",
          dataType: "json",
          data: {
            username: username,
            password: password
          },

          success: function (data) {
            console.log("USER LOGGED IN");
            console.log(data);

            $("#login .alert-danger").remove();
            $("#signUpModal").modal("hide");

            window.location.href = "/dashboard/profile";
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
            $("#login .alert-danger").remove();
            $("#login .alert-success").remove();
            $("#login").prepend(loginErrorAlert);
          }
        });

        // $("#signUpModal").modal("hide");
      }

      function forgotPassword (e) {
        e.preventDefault();

        var cellNumber = $("input[name='forgot-password-number-input']").val();
        var forgotPasswordErrorAlert = `
          <div class="alert alert-danger text-right" role="alert">
            شماره‌ی وارد شده معتبر نمی‌باشد
          </div>
        `;
        var forgotPasswordCodeSent = `
          <div class="alert alert-success text-right" role="alert">
            کد تایید ارسال شد
          </div>
        `;

        if (cellNumber.length == 11) {
          cellNumber = cellNumber.slice(1);
        }

        $.ajax({
          method: "POST",
          url: "forgot_password",
          dataType: "json",
          data: {
            cellnumber: cellNumber
          },

          success: function (data) {
            console.log("FORGOT PASSWORD AJAX SUCCESSFUL");
            console.log(data);

            if (data["status"] == "error") {
              $("#login .alert-danger").remove();
              $("#login .alert-success").remove();
              $("#login").prepend(forgotPasswordErrorAlert);
            } else {
              localStorage.setItem("user_cell_number", cellNumber);

              $("input[name='forgot-password-number-input']").val("");
              $("#login .alert-danger").remove();
              $("#login .alert-success").remove();
              $("#login").prepend(forgotPasswordCodeSent);
              $(".forgot-password-form").addClass("d-none");
              $(".forgot-password-confirm-form").removeClass("d-none");
            }
            // $("#signUpModal").modal("hide");

            // window.location.href = "/dashboard/profile";
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function confirmForgotPassword (e) {
        e.preventDefault();

        var validationcode = $("input[name='forgot-password-code-input']").val();
        var forgotPasswordBadCodeErrorAlert = `
          <div class="alert alert-danger text-right" role="alert">
            کد وارد شده صحیح نمی‌باشد
          </div>
        `;

        $.ajax({
          method: "POST",
          url: "forgot_password_check",
          dataType: "json",
          data: {
            cellnumber: localStorage.getItem("user_cell_number"),
            validationcode: validationcode
          },

          success: function (data) {
            console.log("FORGOT PASSWORD CHECK SUCCESSFUL");
            console.log(data);

            if (data["status"] == "error") {
              $("#login .alert-success").remove();
              $("#login .alert-danger").remove();
              $("#login").prepend(forgotPasswordBadCodeErrorAlert);
            } else {
              localStorage.setItem("user_validation_code", validationcode);

              $("input[name='forgot-password-code-input']").val("");
              $(".forgot-password-confirm-form").addClass("d-none");
              $(".edit-password-form").removeClass("d-none");
              $("#login .alert-success").remove();
              $("#login .alert-danger").remove();
            }
            // $("#signUpModal").modal("hide");

            // window.location.href = "/dashboard/profile";
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function editPassword (e) {
        e.preventDefault();

        var newPassword = $("input[name='edit-password-input']").val();
        var passwordEditedAlert = `
          <div class="alert alert-success" role="alert">
            پسوورد جدید با موفقیت ثبت شد
          </div>
        `

        $.ajax({
          method: "POST",
          url: "edit_password",
          dataType: "json",
          data: {
            cellnumber: localStorage.getItem("user_cell_number"),
            validationcode: localStorage.getItem("user_validation_code"),
            password: newPassword
          },

          success: function (data) {
            console.log("EDIT PASSWORD SUCCESSFUL");
            console.log(data);

            // $(".forgot-password-form").addClass("d-none");
            // $(".forgot-password-confirm-form").addClass("d-none");
            $(".edit-password-form").addClass("d-none");
            $(".successful-edit-password").removeClass("d-none")
            $("#login .alert-danger").remove();
            $("#login .alert-success").remove();
            $(".successful-edit-password").prepend(passwordEditedAlert);
            $("input[name='edit-password-input']").val("");
            $("input[name='edit-password-confirm-input']").val("");
            // $("#signUpModal").modal("hide");

            // window.location.href = "/dashboard/profile";
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function signUpChangeNumber (e) {
        $(".sign-up-confirm-form").addClass("d-none");
        $(".sign-up-form").removeClass("d-none");
        $("#signup .alert-danger").remove();
        $("#signup .alert-success").remove();
      }

      function signUpSendAgain (e) {
        var cellNumber = localStorage.getItem("user_cell_number");

        var codeSentAlert = `
          <div class="alert alert-success text-right" role="alert">
            کد تایید فرستاده شد.
          </div>
        `;

        $("#signup .alert-success").remove();

        $.ajax({
          method: "POST",
          url: "send_validation",
          headers: {
            cellnumber: cellNumber
          },

          success: function (data) {
            console.log("POST REQUEST SUCCESSFUL");
            console.log(data);

            $("#signup .alert-danger").remove();
            $("#signup .alert-success").remove();
            $("#signup").prepend(codeSentAlert);
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function forgotPasswordChangeNumber (e) {
        $(".forgot-password-confirm-form").addClass("d-none");
        $(".forgot-password-form").removeClass("d-none");
        $("#login .alert-danger").remove();
        $("#login .alert-success").remove();
      }

      function forgotPasswordSendAgain (e) { //NOT FINISHED
        var cellNumber = localStorage.getItem("user_cell_number");
        var forgotPasswordCodeSent = `
          <div class="alert alert-success text-right" role="alert">
            کد تایید ارسال شد
          </div>
        `;

        $("#login .alert-danger").remove();
        $("#login .alert-success").remove();

        $.ajax({
          method: "POST",
          url: "forgot_password",
          dataType: "json",
          data: {
            cellnumber: cellNumber
          },

          success: function (data) {
            console.log("FORGOT PASSWORD AJAX SUCCESSFUL");
            console.log(data);

            $("#login .alert-danger").remove();
            $("#login .alert-success").remove();
            $("#login").prepend(forgotPasswordCodeSent);
            // $("#signUpModal").modal("hide");

            // window.location.href = "/dashboard/profile";
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }

      function forgotPasswordClicked (e) {
        $("#login .alert-danger").remove();
        $(".login-form").addClass("d-none");
        $(".forgot-password-form").removeClass("d-none");
        $("input[name='login-username-input']").val("");
        $("input[name='login-password-input']").val("");
      }

      function backToLogin (e) {
        $("#login .alert-danger").remove();
        $("#login .alert-success").remove();
        $(".forgot-password-form").addClass("d-none");
        $(".successful-edit-password").addClass("d-none");
        $(".login-form").removeClass("d-none");
      }

      function confirmPasswordCheck (e, origin) {
        var password, confirmPassword;

        if (origin == "new") {
          password = $(".password-input").val();
          confirmPassword = $(".confirm-password-input").val();

          if (password === confirmPassword) {
            $(".set-password-submit-button").attr("disabled", false);
          } else {
            $(".set-password-submit-button").attr("disabled", true);
          }
        } else {
          password = $(".edit-password-input").val();
          confirmPassword = $(".edit-confirm-password-input").val();

          if (password === confirmPassword) {
            $(".edit-password-submit-button").attr("disabled", false);
          } else {
            $(".edit-password-submit-button").attr("disabled", true);
          }
        }

      }

      function clearConfirmPassword (e, origin) {
        if (origin == "new") {
          $(".confirm-password-input").val("");
          $(".set-password-submit-button").attr("disabled", true);
        } else {
          $(".edit-confirm-password-input").val("");
          $(".edit-password-submit-button").attr("disabled", true);
        }
      }

      function search (e, city) {
        console.log("Search function called");

        if (city != null) {
          window.location.href = "/search/" + city.trim() + "/all/all/all";
        } else {
          e.preventDefault();

          var fromDate = "all";
          var toDate = "all";
          var destination = "all";
          var guests = "all";

          var destinationInput = $("input[name='destination']").val();
          var guestsInput = $("input[name='guests']").val();

          var fromDateTemp = $("#reserve-from-date-datepicker").MdPersianDateTimePicker("getDate");
          var toDateTemp = $("#reserve-to-date-datepicker").MdPersianDateTimePicker("getDate");

          if (fromDateTemp != undefined) {
            fromDate = new Date(fromDateTemp).toISOString().slice(0, 10).replace(/-/g, "");
          };

          if (toDateTemp != undefined) {
            toDate = new Date(toDateTemp).toISOString().slice(0, 10).replace(/-/g, "");
          }

          if (destinationInput.trim() != "") {
            destination = destinationInput;
          };

          if (guestsInput.trim() != "") {
            guests = guestsInput;
          };

          window.location.href = "/search/" + destination + "/" + fromDate + "/" + toDate + "/" + guests;


          // var fromUTC = Date.UTC(fromDate.getFullYear(), fromDate.getMonth(), fromDate.getDate());
          // var toUTC = Date.UTC(toDate.getFullYear(), toDate.getMonth(), toDate.getDate());

          // var msPerDay = 1000 * 60 * 60 * 24;

          // var difference = Math.floor((toUTC - fromUTC) / msPerDay);

          // console.log(fromDate);
          // console.log(toDate);

          // console.log(fromDate.getDate());
          // console.log(toDate.getDate());
          // console.log(toDate.getDate() - fromDate.getDate());
          // console.log(difference);
        }
      }
    </script>
  </body>
</html>
